---
updatedAt: 2026-04-21T08:57:19.000Z
agentTools:
  projectIndex: https://docs.mesh.complyadvantage.com/llms.txt
---

# Retrieve list of users in the client

Retrieve list of users in the client.

You need the "View users" permission to use this endpoint if no value is passed for the `identifier` query param.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "identity_NoRolesUserData": {
        "description": "List of users.",
        "properties": {
          "access_mode": {
            "description": "The user's current access mode.",
            "enum": [
              "UI_ONLY",
              "API_ONLY",
              "UI_AND_API"
            ],
            "example": "UI_ONLY",
            "type": "string"
          },
          "active": {
            "default": false,
            "description": "If a user is active or deactivated.",
            "example": true,
            "type": "boolean"
          },
          "client_identifier": {
            "description": "The unique identifier of the client.",
            "example": "00000000-0000-0000-0000-000000000000",
            "format": "uuid",
            "type": "string"
          },
          "created_at": {
            "description": "Date and time the user was created.",
            "format": "date-time",
            "type": "string"
          },
          "created_by": {
            "description": "The unique identifier of who created the user.",
            "format": "uuid",
            "type": "string"
          },
          "deactivated_at": {
            "description": "Date and time the user was deactivated.",
            "format": "date-time",
            "type": "string"
          },
          "email": {
            "description": "Email address of the user.",
            "example": "example@mail.com",
            "type": "string"
          },
          "enforce_mfa_after": {
            "description": "Date and time of when MFA will be enforced for the user.",
            "format": "date-time",
            "type": "string"
          },
          "identifier": {
            "description": "The unique identifier of the user.",
            "example": "00000000-0000-0000-0000-000000000000",
            "format": "uuid",
            "type": "string"
          },
          "name": {
            "description": "Full name of the user.",
            "example": "John Doe",
            "type": "string"
          },
          "updated_at": {
            "description": "Date and time the user was last updated.",
            "format": "date-time",
            "type": "string"
          },
          "updated_by": {
            "description": "The unique identifier of who last updated the user.",
            "format": "uuid",
            "type": "string"
          },
          "user_type": {
            "enum": [
              "AGENT",
              "HUMAN",
              "MACHINE_CREDENTIAL"
            ],
            "type": "string"
          }
        },
        "required": [
          "access_mode",
          "active",
          "client_identifier",
          "email",
          "identifier",
          "name",
          "user_type"
        ],
        "type": "object"
      },
      "identity_NoRolesUsersResponse": {
        "properties": {
          "first": {
            "description": "The url with parameters of the first page",
            "type": "string"
          },
          "next": {
            "description": "The url with parameters of the next page, null if there are no more pages",
            "nullable": true,
            "type": "string"
          },
          "prev": {
            "description": "The url with parameters of the previous page, null if current page_number is 1",
            "nullable": true,
            "type": "string"
          },
          "self": {
            "description": "The url with parameters of the current page",
            "nullable": true,
            "type": "string"
          },
          "total_count": {
            "description": "Total number of users.",
            "example": 60,
            "format": "int64",
            "nullable": true,
            "type": "integer"
          },
          "users": {
            "description": "List of users.",
            "items": {
              "$ref": "#/components/schemas/identity_NoRolesUserData"
            },
            "type": "array"
          }
        },
        "required": [
          "first",
          "users"
        ],
        "type": "object"
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "description": "HTTP Bearer Token Authentication",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "title": "Mesh API",
    "version": "v2.0"
  },
  "openapi": "3.0.3",
  "paths": {
    "/v2/clients/me/users": {
      "get": {
        "description": "Retrieve list of users in the client.\n\nYou need the \"View users\" permission to use this endpoint if no value is passed for the `identifier` query param.",
        "operationId": "identity_v2_clients_me_users_getClientUsers",
        "parameters": [
          {
            "deprecated": true,
            "description": "Search users by name.",
            "example": "Doe",
            "in": "query",
            "name": "name_contains",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Search users.",
            "example": "Doe",
            "in": "query",
            "name": "search",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "Exclude you current account from the listing.",
            "example": false,
            "in": "query",
            "name": "exclude_my_account",
            "required": false,
            "schema": {
              "default": false,
              "type": "boolean"
            }
          },
          {
            "description": "Do not include support users in the response.",
            "example": false,
            "in": "query",
            "name": "exclude_support_users",
            "required": false,
            "schema": {
              "default": false,
              "type": "boolean"
            }
          },
          {
            "description": "Identifiers of users requested within the client.",
            "example": [
              "00000000-0000-0000-0000-000000000000"
            ],
            "in": "query",
            "name": "identifier",
            "required": false,
            "schema": {
              "items": {
                "format": "uuid",
                "type": "string"
              },
              "maxItems": 40,
              "minItems": 0,
              "type": "array"
            }
          },
          {
            "description": "One-based page index (1..N)",
            "example": 1,
            "in": "query",
            "name": "page_number",
            "required": false,
            "schema": {
              "default": 1,
              "minimum": 1,
              "type": "integer"
            }
          },
          {
            "description": "The size of the page to be returned",
            "example": 20,
            "in": "query",
            "name": "page_size",
            "required": false,
            "schema": {
              "default": 10,
              "minimum": 1,
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/identity_NoRolesUsersResponse"
                }
              }
            },
            "description": "Users list retrieved"
          }
        },
        "summary": "Retrieve list of users in the client",
        "tags": [
          "Clients"
        ]
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "description": "ComplyAdvantage Mesh API",
      "url": "https://api.mesh.complyadvantage.com"
    }
  ],
  "tags": [
    {
      "name": "Clients"
    }
  ]
}
```